FILEFRAG(8)

NAZWA
filefrag - informuje o fragmentacji pliku

SKŁADNIA
filefrag [ -b rozmiar-bloku ] [ -BeEkPsvVxX ] [ pliki... ]

OPIS
Program filefrag informuje o poziomie fragmentacji danego pliku. Bierze poprawkę na bloki pośrednie w systemach plików ext2 i ext3, lecz można go stosować w każdym systemie plików.

Program filefrag najpierw stara się pozyskać informację o ekstencie za pomocą ioctl FIEMAP, które jest znacznie wydajniejsze i szybsze. Jeśli FIEMAP jest niedostępne, korzysta z FIBMAP.

OPCJE

-B  Wymusza użycie starszego ioctl FIBMAP zamiast ioctl FIEMAP w celach testowych.

-brozmiar-bloku
    Używa rozmiaru-bloku w bajtach lub z przyrostkiem [KMG], do 1GB, do wypisywania wyniku zamiast rozmiaru bloków systemu plików. Z powodu zgodności ze starszymi wersjami filefrag, jeśli nie poda się wartości rozmiar-bloku ustawiana jest wartość domyślna 1024 bajtów. Argument rozmiar-bloku jest opcjonalny, dlatego konieczne jest podanie go bez spacji po -b.

-e  Wypisuje wynik w formacie ekstentów, nawet w przypadku plików przydzielonych do bloków.

-E  Wyświetla zawartość pamięci podręcznej statusów ekstentów ext4. Funkcja ta nie jest obsługiwana przez wszystkie jądra i działa tylko w systemie plików ext4.

-k  Używa 1024-bajtowego rozmiaru bloku do wypisywania wyniku (identyczne do "-b1024").

-P  Ładuje wstępnie pamięć podręczną statusów ekstentów ext4 dla pliku. Funkcja ta nie jest obsługiwana przez wszystkie jądra i działa tylko w systemie plików ext4.

-s  Wykonuje synchronizację pliku przed żądaniem mapowania.

-v  Wypisuje więcej informacji przy sprawdzaniu fragmentacji pliku.

-V  Wypisuje wersję programu i biblioteki. Podany podwójnie, wyświetla również flagi FIEMAP, rozumiane przez bieżącą wersję.

-x  Wyświetla mapowanie atrybutów rozszerzonych.

-X  Wyświetla numer bloków ekstentów w formacie szesnastkowym.

AUTOR
filefrag zostało napisane przez Theodore'a Ts'o <tytso@mit.edu>.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.